#ifndef __IOCTL_MSENDUDP_H__
#define __IOCTL_MSENDUDP_H__

#define FILE_DEVICE_MSENDUDP	0x6800
#define IOCTL_INDEX_MSENDUDP	0x0800
#define MSENDUDP_MAKE_IOCTL_CODE(index, access) CTL_CODE(FILE_DEVICE_MSENDUDP, IOCTL_INDEX_MSENDUDP+index, METHOD_BUFFERED, access)

#define MSENDUDP_SEND							MSENDUDP_MAKE_IOCTL_CODE(0x01, FILE_WRITE_ACCESS)
#pragma pack(push, 4)
struct SSend
{
	ULONG m_addressRemote;
	USHORT m_portRemote;
	ULONG m_lengthData;
	PUCHAR m_pData;
};
#pragma pack(pop)

#endif
